<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for uetdsEsyaIPListeleSonuc StructType
 * @subpackage Structs
 */
class UetdsEsyaIPListeleSonuc extends AbstractStructBase
{
    /**
     * The sonucKodu
     * @var int
     */
    public $sonucKodu;
    /**
     * The sonucMesaji
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $sonucMesaji;
    /**
     * The ipListesi
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\WsUetdsEsyaIPListesi[]
     */
    public $ipListesi;
    /**
     * Constructor method for uetdsEsyaIPListeleSonuc
     * @uses UetdsEsyaIPListeleSonuc::setSonucKodu()
     * @uses UetdsEsyaIPListeleSonuc::setSonucMesaji()
     * @uses UetdsEsyaIPListeleSonuc::setIpListesi()
     * @param int $sonucKodu
     * @param string $sonucMesaji
     * @param \StructType\WsUetdsEsyaIPListesi[] $ipListesi
     */
    public function __construct($sonucKodu = null, $sonucMesaji = null, array $ipListesi = array())
    {
        $this
            ->setSonucKodu($sonucKodu)
            ->setSonucMesaji($sonucMesaji)
            ->setIpListesi($ipListesi);
    }
    /**
     * Get sonucKodu value
     * @return int|null
     */
    public function getSonucKodu()
    {
        return $this->sonucKodu;
    }
    /**
     * Set sonucKodu value
     * @param int $sonucKodu
     * @return \StructType\UetdsEsyaIPListeleSonuc
     */
    public function setSonucKodu($sonucKodu = null)
    {
        // validation for constraint: int
        if (!is_null($sonucKodu) && !(is_int($sonucKodu) || ctype_digit($sonucKodu))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($sonucKodu, true), gettype($sonucKodu)), __LINE__);
        }
        $this->sonucKodu = $sonucKodu;
        return $this;
    }
    /**
     * Get sonucMesaji value
     * @return string|null
     */
    public function getSonucMesaji()
    {
        return $this->sonucMesaji;
    }
    /**
     * Set sonucMesaji value
     * @param string $sonucMesaji
     * @return \StructType\UetdsEsyaIPListeleSonuc
     */
    public function setSonucMesaji($sonucMesaji = null)
    {
        // validation for constraint: string
        if (!is_null($sonucMesaji) && !is_string($sonucMesaji)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sonucMesaji, true), gettype($sonucMesaji)), __LINE__);
        }
        $this->sonucMesaji = $sonucMesaji;
        return $this;
    }
    /**
     * Get ipListesi value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\WsUetdsEsyaIPListesi[]|null
     */
    public function getIpListesi()
    {
        return isset($this->ipListesi) ? $this->ipListesi : null;
    }
    /**
     * This method is responsible for validating the values passed to the setIpListesi method
     * This method is willingly generated in order to preserve the one-line inline validation within the setIpListesi method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateIpListesiForArrayConstraintsFromSetIpListesi(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $uetdsEsyaIPListeleSonucIpListesiItem) {
            // validation for constraint: itemType
            if (!$uetdsEsyaIPListeleSonucIpListesiItem instanceof \StructType\WsUetdsEsyaIPListesi) {
                $invalidValues[] = is_object($uetdsEsyaIPListeleSonucIpListesiItem) ? get_class($uetdsEsyaIPListeleSonucIpListesiItem) : sprintf('%s(%s)', gettype($uetdsEsyaIPListeleSonucIpListesiItem), var_export($uetdsEsyaIPListeleSonucIpListesiItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ipListesi property can only contain items of type \StructType\WsUetdsEsyaIPListesi, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ipListesi value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\WsUetdsEsyaIPListesi[] $ipListesi
     * @return \StructType\UetdsEsyaIPListeleSonuc
     */
    public function setIpListesi(array $ipListesi = array())
    {
        // validation for constraint: array
        if ('' !== ($ipListesiArrayErrorMessage = self::validateIpListesiForArrayConstraintsFromSetIpListesi($ipListesi))) {
            throw new \InvalidArgumentException($ipListesiArrayErrorMessage, __LINE__);
        }
        if (is_null($ipListesi) || (is_array($ipListesi) && empty($ipListesi))) {
            unset($this->ipListesi);
        } else {
            $this->ipListesi = $ipListesi;
        }
        return $this;
    }
    /**
     * Add item to ipListesi value
     * @throws \InvalidArgumentException
     * @param \StructType\WsUetdsEsyaIPListesi $item
     * @return \StructType\UetdsEsyaIPListeleSonuc
     */
    public function addToIpListesi(\StructType\WsUetdsEsyaIPListesi $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\WsUetdsEsyaIPListesi) {
            throw new \InvalidArgumentException(sprintf('The ipListesi property can only contain items of type \StructType\WsUetdsEsyaIPListesi, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ipListesi[] = $item;
        return $this;
    }
}
